LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
05566Bug reports[All Projects] Otherpublic2011-11-08 15:382012-03-14 21:08
Reporterdataguru 
Assigned ToTMSWhite 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Product Version1.91+ 
Target Version1.92RC4Fixed in Version1.92RC4 
Summary05566: Survey and e-mails use different methods to include token data
DescriptionWhen {TOKEN:ATTRIBUTE_1} is embedded in the survey title, it displays correctly on the survey, however, it does not display correctly in the invitation, reminder and confirmation e-mails which need it formatted as {ATTRIBUTE_1}.
Steps To Reproduceadd attribute_1 to your token table and populate it with some text. Embed {TOKEN:ATTRIBUTE_1} in the survey title, then generate an invitation e-mail. In the e-mail it displays as {TOKEN:ATTRIBUTE_1} and does not display the text stored in attribute_1.
Additional InformationI've been dealing with it by editing the invite and reminder e-mails each time before they're sent and changing {TOKEN:ATTRIBUTE_1} to {ATTRIBUTE_1}, however, the confirmation e-mails are automatically generated, so it's not possible to edit them prior to their being sent.
I will donate to the project if issue is resolved within 48 hrsNo
LimeSurvey build number OR git commit ID10563
BrowserChrome
Database & DB-Versionmysql 5.0.77
Operating System (Server)Dunno
Webserver software & versionApache/2.2.3 (Red Hat)
PHP Version5.3.3
Attached Files

- Relationships

-  Notes
User avatar (17153)
c_schmitz (administrator)
2012-02-01 23:29

Thomas, could you at some time in the future take a look at this for 2.0?
I agree with the OP and it would be easier if the same tag was used. For backward compatibility we could still support the 'old' tag. What do you think?
User avatar (17292)
TMSWhite (reporter)
2012-02-07 21:38

Fixed in revision 12399
User avatar (17405)
c_schmitz (administrator)
2012-02-14 14:10

1.92RC4 released

- Related Changesets
LimeSurvey: Yii 81c26666
Timestamp: 2012-02-07 12:42:57
Author: TMSWhite
Committer: tmswhite
Details ] Diff ]
Fixed issue 05566: Survey and e-mails use different methods to include token data
Dev retained ability to use {ATTRIBUTE_X} in emails for backwards compatibility

git-svn-id: file:///Users/Shitiz/Downloads/lssvn/source/limesurvey_yii@12400 [^] b72ed6b6-b9f8-46b5-92b4-906544132732
mod - application/controllers/admin/tokens.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2011-11-08 15:38 dataguru New Issue
2011-11-08 15:55 c_schmitz Assigned To => c_schmitz
2011-11-08 15:55 c_schmitz Status new => assigned
2011-11-08 16:18 c_schmitz Target Version => 2.00a2
2012-02-01 23:27 c_schmitz Assigned To c_schmitz => TMSWhite
2012-02-01 23:29 c_schmitz Note Added: 17153
2012-02-07 21:35 TMSWhite Target Version 2.00a2 => 1.92RC4
2012-02-07 21:38 TMSWhite Note Added: 17292
2012-02-07 21:38 TMSWhite Status assigned => resolved
2012-02-07 21:38 TMSWhite Fixed in Version => 1.92RC4
2012-02-07 21:38 TMSWhite Resolution open => fixed
2012-02-14 14:10 c_schmitz Note Added: 17405
2012-02-14 14:10 c_schmitz Status resolved => closed
2012-03-14 21:08 TMSWhite Changeset attached => Import 2012-03-09 13:30:34 Yii 81c26666


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker